# Class TooltipManager

java.lang.Object
com.codename1.ui.TooltipManager

public class TooltipManager extends Object
Central management for tooltips, this class can be derived/customized to override the default tooltip behavior.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `TooltipManager()`
  Default tooltip manager

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `clearTooltip()`
  Invoked to dispose the current tooltip when the pointer moves
  `static void`
  `enableTooltips()`
  Enables the tooltip manager and default tooltip behavior
  `static void`
  `enableTooltips(TooltipManager custom)`
  Enables the tooltip manager with a custom subclass
  `String`
  `getDialogUIID()`
  UIID of the tooltip dialog
  `String`
  `getTextUIID()`
  UIID of the tooltip text body
  `int`
  `getTooltipShowDelay()`
  The time in milliseconds between the pointer stopping and the showing of the tooltip
  `static void`
  `hideTooltip()`
  Immediately hides any showing or pending tooltip.
  `protected void`
  `prepareTooltip(String tip, Component cmp)`
  Gets ready to show the tooltip, this method implements the delay before the actual showing of the tooltip.
  `void`
  `setDialogUIID(String dialogUIID)`
  UIID of the tooltip dialog
  `void`
  `setTextUIID(String textUIID)`
  UIID of the tooltip text body
  `void`
  `setTooltipShowDelay(int tooltipShowDelay)`
  The time in milliseconds between the pointer stopping and the showing of the tooltip
  `protected void`
  `showTooltip(String tip, Component cmp)`
  Shows the actual tooltip, this is invoked when the time for the tooltip elapses.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TooltipManager

    protected TooltipManager()
    Default tooltip manager

- ## Method Details

  - ### hideTooltip

    public static void hideTooltip()
    Immediately hides any showing or pending tooltip. Call this before tearing down / rebuilding a Form so a tooltip anchored to a removed component can't be stranded in the popup layer (a full-size layered pane there would swallow pointer events).

  - ### enableTooltips

    public static void enableTooltips()
    Enables the tooltip manager and default tooltip behavior

  - ### enableTooltips

    public static void enableTooltips(TooltipManager custom)

    Enables the tooltip manager with a custom subclass

    ###### Parameters

    - `custom`: customized subclass of this class

  - ### clearTooltip

    protected void clearTooltip()
    Invoked to dispose the current tooltip when the pointer moves

  - ### prepareTooltip

    protected void prepareTooltip(String tip, Component cmp)

    Gets ready to show the tooltip, this method implements the delay before the actual showing of the tooltip. It's invoked internally by the framework

    ###### Parameters

    - `tip`: the tooltip text

    - `cmp`: the component

  - ### showTooltip

    protected void showTooltip(String tip, Component cmp)

    Shows the actual tooltip, this is invoked when the time for the tooltip elapses. It shows the tooltip UI immediately

    ###### Parameters

    - `tip`: the tooltip text

    - `cmp`: the component

  - ### getTooltipShowDelay

    public int getTooltipShowDelay()

    The time in milliseconds between the pointer stopping and the showing of the tooltip

    ###### Returns

    the tooltipShowDelay

  - ### setTooltipShowDelay

    public void setTooltipShowDelay(int tooltipShowDelay)

    The time in milliseconds between the pointer stopping and the showing of the tooltip

    ###### Parameters

    - `tooltipShowDelay`: the tooltipShowDelay to set

  - ### getDialogUIID

    public String getDialogUIID()

    UIID of the tooltip dialog

    ###### Returns

    the dialogUIID

  - ### setDialogUIID

    public void setDialogUIID(String dialogUIID)

    UIID of the tooltip dialog

    ###### Parameters

    - `dialogUIID`: the dialogUIID to set

  - ### getTextUIID

    public String getTextUIID()

    UIID of the tooltip text body

    ###### Returns

    the textUIID

  - ### setTextUIID

    public void setTextUIID(String textUIID)

    UIID of the tooltip text body

    ###### Parameters

    - `textUIID`: the textUIID to set